Subject: Re : Re : Re: Re : Re: Re : Re: [EDUC]Comment breveter un théorème ?
From: [email-masked]
To: [email-masked]
Cc: David Chemouil <[email-masked]>,Jérôme <[email-masked]>, [email-masked],Rémi Boulle <[email-masked]>
Date: Thu, 24 Apr 2014 14:40:52 +0200 (CEST)
List-Id: <educ.april.org>

fausse manip. je reprends la suite de mon raisonnement.

> L'EPI en refusant de reconnaître que l'informatique c'est aussi de
> l'ingénierie, de la technologie, a donc considéré comme illégitime
> l'enseignement de l'informatique en technologie, si ce n'est en
> tant que simple usage des zoutils...

On est donc là dans une vision politique, idéologique.

Dire que l'informatique c'est à la fois une science et une technologie
permet d'envisager un enseignement de l'informatique en tant
que science et de l'informatique en tant que technologie,
dès le secondaire.

Pour ce qui concerne la science, l'un de tes posts, à mon avis
l'un des plus brillants/explicites sur cette liste est dans
ton éloge des "langages fonctionnels typés" en ce qu'ils mettent
en jeu :  "LA méthode de raisonnement en informatique, à savoir 
l'induction/récursion (généralisation de la récurrence que les élèves voient 
en maths avec les suites)".

Ton approche est donc là totalement scientifique et en adéquation
avec une approche science informatique.

Pour autant, si les technologies s'appuient sur des sciences,
elles sont aussi liées à des modes de production, des modèles
économiques, sociologiques, anthropologiques, juridiques, techniques...

En ce sens, la notion d'INTEROPERABILITE par exemple, n'est pas une
notion scientifique, c'est une notion technologique (qui ne se trouve
dans aucun programme de technologie) et qui soulève des enjeux informatiques
du point de vue technologique : données, format de données, format de
fichier, etc.

Une grande partie des concepts du Libre sont technologiques.

>  - je constate qu'elle comprend aussi des dimensions techniques très fortes
>  - il est évident que les sciences et techniques ne sont pas neutres 
>  idéologiquement, à la fois dans leur logique interne et dans leurs 
>  conséquences (cf. Canguilhem, Foucault, Lacan, Bourdieu...). Tu vas pas 
>  le croire, c'est même pour ça que je suis à l'April !

Ce que tu appelles "dimensions techniques" je préfère le qualifier
de dimension technologique et réserver le terme "technique" lorsqu'il
s'agit de principes et solutions techniques qui modifient directement
les forces de la nature.

Ou alors on admet la pertinence et la légitimité des brevets logiciels.

>  (*) Enseigner le droit et les institutions, mieux que ne le fait 
>  l'éducation civique, me paraît plus prioritaire.

L'éducation civique est en mesure d'enseigner les institutions, mais
pas les enjeux technologiques liés notamment à l'informatique.
C'est de la technologie.

Librement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ